Package org.silverpeas.components.scheduleevent.service

# Interface ScheduleEventService

All Superinterfaces:
  `org.silverpeas.core.ApplicationService`

All Known Implementing Classes:
  `ScheduleEventServiceImpl`

public interface ScheduleEventService extends org.silverpeas.core.ApplicationService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createScheduleEvent(ScheduleEvent scheduleEvent)`
  `void`
  `deleteScheduleEvent(ScheduleEvent scheduleEvent)`
  `ScheduleEvent`
  `findScheduleEvent(String scheduleEventId)`
  `static ScheduleEventService`
  `get()`
  `Optional<ScheduleEvent>`
  `getContributionById(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)`
  `Set<ScheduleEvent>`
  `listAllScheduleEventsByUserId(String userId)`
  `ScheduleEvent`
  `purgeOldResponseForUserId(ScheduleEvent scheduleEvent, int userId)`
  `void`
  `setLastVisited(ScheduleEvent event, int userId)`
  `void`
  `updateScheduleEvent(ScheduleEvent scheduleEvent)`
  `void`
  `updateScheduleEventStatus(String scheduleEventId, int newStatus)`

  ### Methods inherited from interface org.silverpeas.core.ApplicationService

  `getComponentMessages, getComponentSettings, isRelatedTo`

- ## Method Details

  - ### get

    static ScheduleEventService get()

  - ### getContributionById

    Optional<ScheduleEvent> getContributionById(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)
    Specified by:
      `getContributionById` in interface `org.silverpeas.core.ApplicationService`

  - ### createScheduleEvent

    void createScheduleEvent(ScheduleEvent scheduleEvent)

  - ### deleteScheduleEvent

    void deleteScheduleEvent(ScheduleEvent scheduleEvent)

  - ### findScheduleEvent

    ScheduleEvent findScheduleEvent(String scheduleEventId)

  - ### listAllScheduleEventsByUserId

    Set<ScheduleEvent> listAllScheduleEventsByUserId(String userId)

  - ### updateScheduleEventStatus

    void updateScheduleEventStatus(String scheduleEventId, int newStatus)

  - ### updateScheduleEvent

    void updateScheduleEvent(ScheduleEvent scheduleEvent)

  - ### purgeOldResponseForUserId

    ScheduleEvent purgeOldResponseForUserId(ScheduleEvent scheduleEvent, int userId)

  - ### setLastVisited

    void setLastVisited(ScheduleEvent event, int userId)